Bug 158998 - CAN-2005-1751 shtool insecure temporary file creation
Summary: CAN-2005-1751 shtool insecure temporary file creation
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050524,source=ven...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-27 15:28 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 5.0.4-10.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-05 15:33:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-05-27 15:28:49 UTC
+++ This bug was initially created as a clone of Bug #158997 +++

Race condition in shtool 2.0.1 and earlier allows local users to
create or modify arbitrary files via a symlink attack on the
.shtool.$$ temporary file.
http://www.zataz.net/adviso/shtool-05252005.txt

php contains shtool in its source.

Comment 1 Josh Bressers 2005-05-27 15:29:27 UTC
This issue should also affect FC4

Comment 2 Joe Orton 2005-05-27 15:46:31 UTC
Note that this issue can only be triggered when:

a) rebuilding the PHP source RPM
b) building a third-party PHP module

This issue alone is not worth issuing an update for; it can be deferred until
there is a new upstream release or some other more serious issue.

Comment 3 Joe Orton 2005-07-05 15:33:30 UTC
Fixed for FC4 in FEDORA-2005-518.

http://www.redhat.com/archives/fedora-announce-list/2005-July/msg00011.html


Note You need to log in before you can comment on or make changes to this bug.